package com.bonus.sgzb.material.service;

import com.bonus.sgzb.common.core.web.domain.AjaxResult;
import com.bonus.sgzb.material.domain.CheckDetailsInfo;
import com.bonus.sgzb.material.domain.PlanManagementDto;
import com.bonus.sgzb.material.domain.PlanManagementVO;
import com.bonus.sgzb.material.domain.PlanVO;

import java.util.List;

/**
 * 计划管理服务层
 * @Author ma_sh
 * @create 2024/4/9 9:33
 */
public interface PlanManagementService {

    /**
     * 获取计划管理列表
     * @param dto
     * @return
     */
    List<PlanVO> getList(PlanManagementDto dto);

    /**
     * 修改计划管理
     * @param dto
     * @return
     */
    Integer update(PlanManagementDto dto);

    /**
     * 新增计划管理
     * @param dto
     * @return
     */
    AjaxResult insert(PlanManagementDto dto);

    /**
     * 根据id删除计划管理
     * @param planId
     * @return
     */
    Integer deleteById(Long planId);

    /**
     * 新增计划借调管理
     * @param dto
     * @return
     */
    AjaxResult insertManage(PlanManagementDto dto);

    /**
     * 获取计划借调管理列表
     * @param dto
     * @return
     */
    List<PlanManagementVO> getManageList(PlanManagementDto dto);
}
